localStorage.removeItem('seenComments_dy');
chrome.storage.local.get(['selectedFeaturedy']).then(result => {
  console.log("我的抖音功能开关:", result.selectedFeaturedy);
}) ;
chrome.storage.local.get(['selectedFeaturedydm']).then(result => {
  console.log("我的抖音弹幕采集功能开关:", result.selectedFeaturedydm);
}) ;


chrome.storage.local.get(['apikey'], (result) => {
  const savedApikey = result.apikey;
  console.log("我的apikey", savedApikey);
   

// 定期查询接口
function queryServerdy() {

    const input = document.querySelector('.webcast-chatroom___textarea');

    if(!input){
        return;
    }
  const url = "https://live2.tingwu.co/wsttsgpt.php";
  const data = {
    type: "query",
    apikey: savedApikey
  };
  
  fetch(url, {
    method: "POST",
    headers: {
      'Content-Type': 'application/json'
    },
    body: JSON.stringify(data)
  })
  .then(response => response.json()) 
  .then(data => {
    if (data.code === 10000) {
        const contents = data.data;
        const id = contents['id'];
        const apikey = contents['apikey']; 
        const nickname = contents['nickname'];
        const question = contents['question'];
        const answer = contents['answer'];
        const pintai = contents['pintai'];

        if(pintai == 'dy'){
            // 抖音,把内容输入到输入框
          
           
            if(input){
                input.dispatchEvent(new InputEvent('input', { bubbles: true }));
                input.value = answer;
                input.dispatchEvent(new InputEvent('change', { bubbles: true }));
                // 等待
                setTimeout(() => {
                    const button = document.querySelector('svg.webcast-chatroom___send-btn');
                    if(button){
                        // 获取button的父元素并点击
                        
                            // 如果找不到父元素button，直接触发svg的点击事件
                            button.dispatchEvent(new MouseEvent('click', {
                                bubbles: true, 
                                cancelable: true,
                                view: window
                            }));
                           
                    }
                }, 200);
                
            }
        }
    }
  })
  .catch(error => {
    console.error("请求失败:", error);
  });
}

chrome.storage.local.get(['selectedFeaturedy']).then(result => {
    if(result.selectedFeaturedy == 'dy'){
        setInterval(queryServerdy, 2000);
    }
}) ;



// 监听在线用户信息变化
function fetchDouyinUsers() {
  // 获取在线用户列表
  const userElements = document.querySelectorAll("._Xja5DYo.YrNsi1WN");
  console.log("在线用户数量:", userElements.length);
  // 处理用户数据
  let contents = [];
  userElements.forEach(user => {
    const avatar = user.querySelector(".nlDMMfUO img")?.src || "";
    const nickname = user.querySelector(".rtV3pazn")?.innerText || "";
    
    contents.push({
      avatar: avatar,
      nickname: nickname
    });
  });

  // 发送数据到后端
  if(contents.length > 0) {


    // 发送数据到ws服务
    


    



    const url = "https://live2.tingwu.co/sphapi.php?action=add_online_user_log_dy&apikey=" + savedApikey;
    const formData = new FormData();
    formData.append("contents", JSON.stringify({
      content: contents
    }));

    fetch(url, {
      method: "POST", 
      body: formData
    }).catch(error => {
      console.error("发送用户数据失败:", error);
    });
  }
}



// 监听评论信息变化
function fetchDouyinComments() {
  // const commentsContainer = document.querySelector(".webcast-chatroom___list");
  // if (!commentsContainer) return;
  const seen_dy = new Set(JSON.parse(localStorage.getItem('seenComments_dy') || '[]'));
  // 使用 MutationObserver 监听评论变化
  const observerdydm = new MutationObserver((mutations) => {
    mutations.forEach((mutation) => {
      if (mutation.type === 'childList' && mutation.addedNodes.length > 0) {
        // 处理新增的评论
        mutation.addedNodes.forEach((node) => {
          if (node.classList && node.classList.contains('webcast-chatroom___item')) {
            const username = node.querySelector('.u2QdU6ht')?.innerText.replace('：', '') || '';
            const content = node.querySelector('.WsJsvMP9')?.innerText || '';
            const timestamp = new Date().toLocaleString('zh-CN', { hour12: false });

            const commentId = `${username}-${content}`;
            
              if (seen_dy.has(commentId)||content == '') {
                //console.log("已评论：",commentId);
                return null;
              }else{
                seen_dy.add(commentId);
                // 更新localStorage中的seen集合
                localStorage.setItem('seenComments_dy', JSON.stringify(Array.from(seen_dy)));

                 // 构建评论数据
                const commentData = {
                  username: username,
                  content: content,
                  timestamp: timestamp
                };
                
              // console.log("评论数据:", commentData);
                // 发送到后端
                const url = "https://live2.tingwu.co/sphapi.php?action=add_comment_log_dy&apikey=" + savedApikey;
                const formData = new FormData();
                formData.append('type', 'comment');
                formData.append('username', commentData.username);
                formData.append('content', commentData.content);
                formData.append('timestamp', commentData.timestamp);

                fetch(url, {
                  method: "POST", 
                  body: formData
                })
                .then(response => response.json())
                .then(data => {
                  if (data.error === 0) {
                    // 更新日志
                    if(commentData.content=='来了'){
                      updateLogArea_dy(JSON.stringify(commentData, null, 2), "进入直播间");
                    }else{
                      updateLogArea_dy(JSON.stringify(commentData, null, 2), "评论信息");
                    }
                  }
                })
                .catch(error => {
                  console.error("发送评论数据失败:", error);
                });

              }
           
          }
        });
      }
    });
  });

  // 开始监听评论容器的变化
  observerdydm.observe(document.body, {
    childList: true,
    subtree: true
  });
}





chrome.storage.local.get(['selectedFeaturedydm']).then(result => {
  if(result.selectedFeaturedydm == 'dydm'){
      // 创建观察器监听DOM变化
      // const userObserver = new MutationObserver(() => {
      //   fetchDouyinUsers();
      // });
     
      // userObserver.observe(document.body, {
      //   childList: true,
      //   subtree: true
      // });
      
      // fetchDouyinUsers();


      fetchDouyinComments();
  }
}) ;



});




 // 新增函数：更新 log_area 内容
 function updateLogArea_dy(log, type = "信息") { // 默认类型为 "信息"
  const logArea = document.getElementById('log_area');
  const timestamp = new Date().toLocaleString("zh-CN", { hour12: false }).replace(/\//g, "-");
  const logWithTimestamp = `[${timestamp}] [${type}] ${log}`; // 添加时间戳和类型
  
  // 使用 chrome.storage.local 存储日志
  chrome.storage.local.get(['logs_dy'], (result) => {
      let logs = result.logs_dy || [];
      // 添加新日志
      logs.unshift(logWithTimestamp);
      // 限制最多存储50条日志
      if (logs.length > 50) {
          logs = logs.slice(0, 50);
      }
      // 更新本地存储
      chrome.storage.local.set({ logs_dy: logs }, () => {
          // 发送消息到 popup.js
          chrome.runtime.sendMessage({ type: "log_show_dy", logs_dy: logs });
      });
  });
}


