document.getElementById('submit').addEventListener('click', function() {
    const apikey = document.getElementById('apikey').value.trim();
    if (!apikey) {
        alert('请输入API Key');
        return;
    }

    // 获取选中的单选按钮的值
    const selectedFeaturedy = document.querySelector('input[name="featuredy"]:checked');
    if (selectedFeaturedy) {
        // 将选中的值存储到浏览器缓存
        localStorage.setItem('selectedFeaturedy', selectedFeaturedy.value.trim());
        chrome.runtime.sendMessage({ type: "setSelectedFeaturedy", selectedFeaturedy: selectedFeaturedy.value.trim() });
        console.log('抖音功能开关已保存:', selectedFeaturedy.value.trim());
    } else {
        // 清空存储的值
        localStorage.removeItem('selectedFeaturedy');
        chrome.runtime.sendMessage({ type: "setSelectedFeaturedy", selectedFeaturedy: '' });
        console.log('抖音功能已关闭');
    }

    const selectedFeaturedydm = document.querySelector('input[name="featuredydm"]:checked');
    if (selectedFeaturedydm) {
        // 将选中的值存储到浏览器缓存
        localStorage.setItem('selectedFeaturedydm', selectedFeaturedydm.value.trim());
        chrome.runtime.sendMessage({ type: "setSelectedFeaturedydm", selectedFeaturedydm: selectedFeaturedydm.value.trim() });
        console.log('抖音弹幕采集功能开关已保存:', selectedFeaturedydm.value.trim());
    } else {
        // 清空存储的值
        localStorage.removeItem('selectedFeaturedydm');
        chrome.runtime.sendMessage({ type: "setSelectedFeaturedydm", selectedFeaturedydm: '' });
        console.log('抖音弹幕采集功能已关闭');
    }

    const selectedFeaturetkdm = document.querySelector('input[name="featuretkdm"]:checked');
    if (selectedFeaturetkdm) {
        // 将选中的值存储到浏览器缓存
        localStorage.setItem('selectedFeaturetkdm', selectedFeaturetkdm.value.trim());
        chrome.runtime.sendMessage({ type: "setSelectedFeaturetkdm", selectedFeaturetkdm: selectedFeaturetkdm.value.trim() });
        console.log('tiktok弹幕采集功能开关已保存:', selectedFeaturetkdm.value.trim());
    } else {
        // 清空存储的值
        localStorage.removeItem('selectedFeaturetkdm');
        chrome.runtime.sendMessage({ type: "setSelectedFeaturetkdm", selectedFeaturetkdm: '' });
        console.log('tiktok弹幕采集功能已关闭');
    }


    const selectedFeaturetk = document.querySelector('input[name="featuretk"]:checked');
    if (selectedFeaturetk) {
        // 将选中的值存储到浏览器缓存
        localStorage.setItem('selectedFeaturetk', selectedFeaturetk.value.trim());
        chrome.runtime.sendMessage({ type: "setSelectedFeaturetk", selectedFeaturetk: selectedFeaturetk.value.trim() });
        console.log('tiktok功能开关已保存:', selectedFeaturetk.value.trim());
    } else {
        // 清空存储的值
        localStorage.removeItem('selectedFeaturetk');
        chrome.runtime.sendMessage({ type: "setSelectedFeaturetk", selectedFeaturetk: '' });
        console.log('tiktok功能已关闭');
    }

    const selectedFeaturesph = document.querySelector('input[name="featuresph"]:checked');
    if (selectedFeaturesph) {
        // 将选中的值存储到浏览器缓存
        localStorage.setItem('selectedFeaturesph', selectedFeaturesph.value.trim());
        chrome.runtime.sendMessage({ type: "setSelectedFeaturesph", selectedFeaturesph: selectedFeaturesph.value.trim() });
        console.log('视频号功能开关已保存:', selectedFeaturesph.value.trim());
    } else {
        // 清空存储的值
        localStorage.removeItem('selectedFeaturesph');
        chrome.runtime.sendMessage({ type: "setSelectedFeaturesph", selectedFeaturesph: '' });
        console.log('视频号功能已关闭');
    }

    const selectedFeaturedanmu = document.querySelector('input[name="featuredanmu"]:checked');
    if (selectedFeaturedanmu) {
        // 将选中的值存储到浏览器缓存
        localStorage.setItem('selectedFeaturedanmu', selectedFeaturedanmu.value.trim());
        chrome.runtime.sendMessage({ type: "setSelectedFeaturedanmu", selectedFeaturedanmu: selectedFeaturedanmu.value.trim() });
        console.log('弹幕采集功能开关已保存:', selectedFeaturedanmu.value.trim());
    } else {
        // 清空存储的值
        localStorage.removeItem('selectedFeaturedanmu');
        chrome.runtime.sendMessage({ type: "setSelectedFeaturedanmu", selectedFeaturedanmu: '' });
        console.log('弹幕采集功能已关闭');
    }


    const selectedFeatureDytc = document.querySelector('input[name="featuredytc"]:checked');
    if (selectedFeatureDytc) {
        // 将选中的值存储到浏览器缓存
        localStorage.setItem('selectedFeatureDytc', selectedFeatureDytc.value.trim());
        chrome.runtime.sendMessage({ type: "setSelectedFeatureDytc", selectedFeatureDytc: selectedFeatureDytc.value.trim() });
        console.log('抖音自动弹窗功能开关已保存:', selectedFeatureDytc.value.trim());
    }else{
        localStorage.removeItem('selectedFeatureDytc');
        chrome.runtime.sendMessage({ type: "setSelectedFeatureDytc", selectedFeatureDytc: '' });
        console.log('抖音自动弹窗功能已关闭');
    }


    const selectedFeatureTbdm = document.querySelector('input[name="featuretbdm"]:checked');
    if (selectedFeatureTbdm) {
        // 将选中的值存储到浏览器缓存
        localStorage.setItem('selectedFeatureTbdm', selectedFeatureTbdm.value.trim());
        chrome.runtime.sendMessage({ type: "setSelectedFeaturetbdm", selectedFeatureTbdm: selectedFeatureTbdm.value.trim() });
        console.log('淘宝弹幕采集功能开关已保存:', selectedFeatureTbdm.value.trim());
    }else{
        localStorage.removeItem('selectedFeatureTbdm');
        chrome.runtime.sendMessage({ type: "setSelectedFeatureTbdm", selectedFeatureTbdm: '' });
        console.log('淘宝弹幕采集功能已关闭');
    }

    fetch('https://live2.tingwu.co/sphapi.php?action=apikey&key=' + encodeURIComponent(apikey))
        .then(response => response.json())
        .then(data => {
            if (data.error === 0) {
                // 验证成功后保存到 localStorage
                localStorage.setItem('apikey', apikey);
                chrome.runtime.sendMessage({ type: "setApikey", apikey: apikey });
                chrome.tabs.query({active: true, currentWindow: true}, function(tabs) {
                    chrome.tabs.reload(tabs[0].id);
                });
                window.close();
            } else {
                alert('设置失败：' + data.msg);
            }
        })
        .catch(error => {
            alert('设置失败，请重试');
            console.error('Error:', error);
        });
});

// 页面加载时从localStorage获取apikey并填充
const savedApikey = localStorage.getItem('apikey');
if (savedApikey) {
    document.getElementById('apikey').value = savedApikey;
}

// 从localStorage获取selectedFeature并选中相应的单选按钮
// 从localStorage获取各个功能的状态
const savedFeatureDy = localStorage.getItem('selectedFeaturedy');
const savedFeatureTk = localStorage.getItem('selectedFeaturetk'); 
const savedFeatureSph = localStorage.getItem('selectedFeaturesph');
const savedFeatureDanmu = localStorage.getItem('selectedFeaturedanmu');
const savedFeatureDydm = localStorage.getItem('selectedFeaturedydm');
const savedFeatureTkdm = localStorage.getItem('selectedFeaturetkdm'); 
const savedFeatureDytc = localStorage.getItem('selectedFeatureDytc');
const savedFeatureTbdm = localStorage.getItem('selectedFeatureTbdm');

// 如果有任何一个功能被选中，就设置对应的开关
if (savedFeatureDy) {
    document.getElementById('douyin').checked = true;
}
if (savedFeatureTk) {
    document.getElementById('tiktok').checked = true;
}
if (savedFeatureSph) {
    document.getElementById('video').checked = true;
}
if (savedFeatureDanmu) {
    document.getElementById('danmu').checked = true;
}
if (savedFeatureDydm) {
    document.getElementById('dydm').checked = true;
}
if (savedFeatureTkdm) {
    document.getElementById('tkdm').checked = true;
}
if (savedFeatureDytc) {
    document.getElementById('dytc').checked = true;
}
if (savedFeatureTbdm) {
    document.getElementById('tbdm').checked = true;
}

// 如果都没有选中，则默认选中danmu
if (!savedFeatureDy && !savedFeatureTk && !savedFeatureSph && !savedFeatureDanmu && !savedFeatureDydm && !savedFeatureTkdm && !savedFeatureDytc && !savedFeatureTbdm) {
    localStorage.setItem('selectedFeaturedanmu', 'danmu');
    chrome.runtime.sendMessage({ type: "setSelectedFeaturedanmu", selectedFeaturedanmu: "danmu" });
    document.getElementById('danmu').checked = true;
}

document.getElementById('open-console').addEventListener('click', function() {
    window.open('https://channels.weixin.qq.com/platform/live/liveBuild');
});

chrome.runtime.onMessage.addListener((request, sender, sendResponse) => {
    if (request.type === "log_show" && request.log) {
        const logArea = document.getElementById('log_area');
        if (logArea) {
            // 渲染日志到log_area
            logArea.innerHTML = request.log.join('<br>') + '<br>'; // 倒序显示
        }
    }


    if (request.type === "log_show_dy" && request.logs_dy) {
        const logArea = document.getElementById('log_area');
        if (logArea) {
            // 渲染日志到log_area
            logArea.innerHTML = request.logs_dy.join('<br>') + '<br>'; // 倒序显示
        }
    }

    if (request.type === "log_show_tk" && request.logs_tk) {
        const logArea = document.getElementById('log_area');
        if (logArea) {
            // 渲染日志到log_area
            logArea.innerHTML = request.logs_tk.join('<br>') + '<br>'; // 倒序显示
        }
    }

    if (request.type === "log_show_tb" && request.logs_tb) {
        const logArea = document.getElementById('log_area');
        if (logArea) {
            logArea.innerHTML = request.logs_tb.join('<br>') + '<br>'; // 倒序显示
        }
    }

});

// let logs2 = JSON.parse(localStorage.getItem('logs')) || [];
// const logArea2 = document.getElementById('log_area');
// logArea2.innerHTML = logs2.join('<br>') + '<br>'; // 倒序显��

// 请求 logs 数据并渲染到 log_area

if (savedFeatureDanmu) {
    chrome.runtime.sendMessage({ type: "getLogs" }, (response) => {
        if (response && response.logs) {
            const logs = response.logs;
            const logArea = document.getElementById('log_area');
            if (logArea) {
                // 渲染日志到log_area
                logArea.innerHTML = response.logs.join('<br>') + '<br>'; // 倒序显示
            }
        }
    });
}





if(savedFeatureDydm){
    chrome.runtime.sendMessage({ type: "getLogs_dy" }, (response) => {
        if (response && response.logs_dy) {
            const logs = response.logs_dy;
            const logArea = document.getElementById('log_area');
            if (logArea) {
                // 渲染日志到log_area
                logArea.innerHTML = response.logs_dy.join('<br>') + '<br>'; // 倒序显示
            }
        }
    });
}

if(savedFeatureTkdm){
    chrome.runtime.sendMessage({ type: "getLogs_tk" }, (response) => {
        if (response && response.logs_tk) {
            const logs = response.logs_tk;
            const logArea = document.getElementById('log_area');
            if (logArea) {
                // 渲染日志到log_area
                logArea.innerHTML = response.logs_tk.join('<br>') + '<br>'; // 倒序显示
            }
        }
    });
}


if(savedFeatureTbdm){
    chrome.runtime.sendMessage({ type: "getLogs_tb" }, (response) => {
        if (response && response.logs_tb) {
            const logs = response.logs_tb;
            const logArea = document.getElementById('log_area');
            if (logArea) {
                logArea.innerHTML = response.logs_tb.join('<br>') + '<br>'; // 倒序显示
            }
        }
    });
}










