localStorage.removeItem('seenComments_tb');
chrome.storage.local.get(['selectedFeaturetbdm']).then(result => {
  console.log("我的淘宝弹幕采集功能开关:", result.selectedFeaturetbdm);
});    


chrome.storage.local.get(['apikey'], (result) => {
  const savedApikey = result.apikey;
  console.log("我的apikey", savedApikey);

  // 链接评论转发专用域名的ws服务
  const ws = new WebSocket('wss://plzf.tingwu.co:8872');

  // 连接成功后发送认证信息
  ws.onopen = () => {
    ws.send(JSON.stringify({
      type: 'auth',
      apikey: result.apikey
    }));
  };

  // 接收消息
  ws.onmessage = (event) => {
    const data = JSON.parse(event.data);
    console.log('WSS收到消息:', data);
  };

  // 发送消息
  function sendMessage_ws(message) {
    if (ws.readyState === WebSocket.OPEN) {
      ws.send(JSON.stringify(message));
    }
  }

  chrome.storage.local.get(['selectedFeaturetbdm']).then(result => {
    if (result.selectedFeaturetbdm == 'tbdm') {
      // 创建一个Set来存储已处理的评论
      const seenComments = new Set(JSON.parse(localStorage.getItem('seenComments_tb') || '[]'));

      // 监听评论区变化
      const observertb = new MutationObserver((mutations) => {
       
        mutations.forEach((mutation) => {
          if (mutation.type === 'childList') {
            const newComments = mutation.target.querySelectorAll('.tc-comment-item');

            newComments.forEach((comment) => {
              // 获取评论内容
              const authorElement = comment.querySelector('.tc-comment-item-userinfo-name');
              const contentElement = comment.querySelector('.tc-comment-item-content span');

              if (!authorElement || !contentElement) return;

              const author = authorElement.textContent.replace(': ', '');
              const content = contentElement.textContent;

              // 创建唯一标识
              const commentId = `${author}-${content}`;

              // 检查是否已处理过该评论
              if (!seenComments.has(commentId)) {
                seenComments.add(commentId);

                // 获取当前时间
                const timestamp = new Date().toLocaleString("zh-CN", { hour12: false }).replace(/\//g, "-");
                // 构建评论数据
                const commentData = {
                  author: author,
                  content: content,
                  timestamp: timestamp,
                };

                // 打印评论数据
                console.log('评论数据:', commentData);
                const datas = {
                  error: 0,
                  comments: [commentData],
                  join_info: [],
                  online_users: []
                };
                // 发送到WebSocket
                sendMessage_ws(datas);

                // 发送到PHP接口
                const formData = new FormData();
                formData.append('type', 'comment');
                formData.append('content', content);
                formData.append('username', author);
                formData.append('timestamp', timestamp);

                fetch(`https://live2.tingwu.co/sphapi.php?action=add_comment_log_tb&apikey=`+ savedApikey, {
                  method: 'POST',
                  body: formData
                })
                .then(response => response.json())
                .then(data => {
                  console.log('API Response:', data);
                  if (data.error === 0) {
                    updateLogArea(JSON.stringify({ type: '评论', username: author, content, timestamp: timestamp }, null, 2), "用户评论");
                  }
                })
                .catch(error => {
                  console.error('API Error:', error);
                });

                // 更新localStorage
                localStorage.setItem('seenComments_tb', JSON.stringify([...seenComments]));
              }
            });
          }
        });
      });

      // 开始监听评论区
      const commentList = document.querySelector('.tc-comment-list');
      observertb.observe(document.body, {
        childList: true,
        subtree: true,
      });
      
     
    }
  });
});
// 新增函数：更新 log_area 内容
function updateLogArea(log, type = "信息") { // 默认类型为 "信息"
  const logArea = document.getElementById('log_area');
  const timestamp = new Date().toLocaleString("zh-CN", { hour12: false }).replace(/\//g, "-");
  const logWithTimestamp = `[${timestamp}] [${type}] ${log}`; // 添加时间戳和类型

  // 使用 chrome.storage.local 存储日志
  chrome.storage.local.get(['logs_tb'], (result) => {
    let logs = result.logs_tb || [];
    // 添加新日志
    logs.unshift(logWithTimestamp);
    // 限制最多存储50条日志
    if (logs.length > 50) {
      logs = logs.slice(0, 50);
    }
    // 更新本地存储
    chrome.storage.local.set({ logs_tb: logs }, () => {
      // 发送消息到 popup.js
      chrome.runtime.sendMessage({ type: "log_show_tb", logs_tb: logs });
    });
  });
}